Package org.h2.table

# Class TableLinkConnection

java.lang.Object
org.h2.table.TableLinkConnection

public class TableLinkConnection extends Object
A connection for a linked table. The same connection may be used for multiple tables, that means a connection may be shared.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`boolean`
`getAutocommit()`
The autocommit mode
`int`
`hashCode()`
`static TableLinkConnection`
`open(HashMap<TableLinkConnection,TableLinkConnection> map, String driver, String url, String user, String password, boolean shareLinkedConnections)`
Open a new connection.
`void`
`setAutoCommit(boolean mode)`
Specify if the autocommit mode is activated or not

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### open

public static TableLinkConnection open(HashMap<TableLinkConnection,TableLinkConnection> map, String driver, String url, String user, String password, boolean shareLinkedConnections)
Open a new connection.

Parameters:
  `map` - the map where the connection should be stored (if shared connections are enabled).
  `driver` - the JDBC driver class name
  `url` - the database URL
  `user` - the username
  `password` - the password
  `shareLinkedConnections` - if connections should be shared
Returns:
  a connection

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### setAutoCommit

public void setAutoCommit(boolean mode)
Specify if the autocommit mode is activated or not

Parameters:
  `mode` - to set

### getAutocommit

public boolean getAutocommit()
The autocommit mode

Returns:
  true if autocommit is on